## PURPOSE

Modpacks are my favorite part of Valheim! Every month or so, I find myself jumping into a new pack and playing for dozens of hours! Each time I load up a new pack I inevitably run into hiccups and spend 2-6 hours getting the right QOL mods configured to all play together nicely. 

This mod pack is my attempt at making this process easier for others looking to play Epic Valheim 5.0. Modding Valheim can be intimidating at first and One-click installation helps mitigate this. Now get to clicking and enjoy Epic Valheim plus some QOL improvements!

## Critical Notes - Read Here Please!
* ONLY USE R2MODMAN TO INSTALL, DON'T USE THUNDERSTORE MOD MANAGER
* Install this mod pack then immediately update Epic Valheim. (This mod pack referencing a slightly older version of Epic Valheim is intentional to ensure Epic Valheim configs are applied last when updating.)
* New World, New Character required for Epic Valheim 5.0 Experience. Create a new profile in R2ModMan for a simple install.
* Epic Valheim updated to 5.0.9. If upgrading from EV 5.0+, It is recommended to delete the current profile and create a new profile in R2ModMan. New Character, New World is -NOT NEEDED-.
* Epic Valheim complete through Swamps. Can continue Vanilla progression nearly seamlessly after swamps.
* Report any bugs in the Epic Valheim discord in channel #user-list
* Epic Valheim increases difficulty significantly. It is meant to be a challenge and requires good use of blocking, dodge rolling, and general evasion (run away!) at times.

## THINGS TO KNOW:

* Epic Valheim is a major overhaul mod. If you get stuck, see the description of the mod pack or join his discord linked in the Epic Valheim mod pack.
* AutoFuel & Autofeed will pull nearby materials from chests to fuel kilns, smelters, etc. & feed animals.
* Auto Store - Hit the period button to stack all items (minus consumables) from your inventory into nearby containers.
* Mass Farming - Hold shift and interact with an item to collect all nearby items - works for farming and collecting resources in the world!
* Blast Furnace Takes All - Blast furnace can process any metal.
* Shield me Bruh - Middle click on a shield in your inventory to set it as a favorite. Equipping a one-handed weapon equips this shield.

     _Note: This list only includes mod changes that require explanation since there is no obvious visual change._

## CREDITS

All Credits for mods go to the individual mod authors. 

### Major Contributors:

* [Base Modpack: Epic Valheim by Captain IceBlock](https://valheim.thunderstore.io/package/EpicValheim/EpicValheim/) - See mod pack for details - Also see his mod pack or discord if you get stuck
* [Most QOL mods from Azumatt](https://valheim.thunderstore.io/package/Azumatt/) - See individual mods in this pack for details
* [Many more QOL mods from Digitalroot](https://valheim.thunderstore.io/package/Digitalroot/) - See individual mods in this pack for details
* [Many more QOL mods from aedenthorn](https://www.nexusmods.com/valheim/users/18901754?tab=user+files) - See individual mods in this pack for details
* [Significant Epic Valheim Supporting mods by RandyKnapp](https://valheim.thunderstore.io/package/RandyKnapp/) - See individual mods in this pack and Epic Valheim for details
* [Significant Epic Valheim supporting mods by WackyMole](https://valheim.thunderstore.io/package/WackyMole/) - See individual mods in Epic Valheim for details
* [Significant Epic Valheim supporting mods by ASharpPen](https://valheim.thunderstore.io/package/ASharpPen/) - See individual mods in Epic Valheim for details
* [Significant Epic Valheim supporting mods by neurodr0me](https://valheim.thunderstore.io/package/neurodr0me/) - See individual mods in Epic Valheim for details
* [Significant Epic Valheim supporting mod by JereKuusela](https://valheim.thunderstore.io/package/JereKuusela/) - Expand World mod in Epic Valheim pack

## UPDATES

* 0.3.0 - Updated EpiC Valheim to reference 5.0.9. Removed CraftBuildSmeltCookFuelPullFromContainers and replaced with AzuCrafyBoxes. Added ThisGoesHere mod and assocaited files from EpicValheim to enable 1 click install without the need to udpate EV - Hopefully!
* 0.2.0 - Updated Epic Valheim to reference 5.0.6.
* 0.1.9 - Updated Epic Valheim to a slightly older dependency to encourage immediate update, ensuring Epic Valheim configs are resolved last. (This solves a prior bug.)
* 0.1.8 - Corrected old dependancies.
* 0.1.7 - Removed OdinCrafty Boxes (deprecated) and Beast of Burden (reported issues). Added Aedenthorn's craft from containers. If updating from a prior version, manually delete OdinCrafty Boxes and Beasts of Burden
* 0.1.6 - Changed configs for AzuHoverStats mod to show beehive progress and turned off extra item info in inventory which was causing items to not show stats until mousing over twice. Removed NotSoNeedyCraftingStations mod.
* 0.1.5 - Added AzuClock mod. Moved EpicValheim position in dependencies to fix Expand World console errors. 
* 0.1.4 - Added NotSoNeedyCraftingStation to eliminate a problem with Custom Epic Valheim stations needing roofs.
* 0.1.3 - Corrected error in mod description
* 0.1.2 - Removed accidentally included mods
* 0.1.1 - Updated icon
* 0.1.0 - Release